#include "liner.hpp"

APP_MENU MENU 
BEGIN
  POPUP "&File"
    BEGIN
      MENUITEM "E&xit",          CM_FILEEXIT
    END

  POPUP "&Draw"
    BEGIN
      MENUITEM "&Lines",         CM_LINES
      MENUITEM "&Polyline",      CM_POLYLINE
      MENUITEM "&Arc",           CM_ARC
      MENUITEM "&Rectangles",    CM_RECT
      MENUITEM "P&opygon",       CM_POLYGON
      MENUITEM "&Ellipse",       CM_ELLIPSE
      MENUITEM "C&ircle",        CM_CIRCLE
      MENUITEM "&Chord",         CM_CHORD
      MENUITEM "&Pie",           CM_PIE
    END

  POPUP "&Background Mode"
    BEGIN
      MENUITEM "&Opaque",        CM_OPAQUE
      MENUITEM "&Transparent",   CM_TRANSPARENT
    END

  POPUP "&ROP"
    BEGIN
      MENUITEM "R2_BLACK",       CM_R2_BLACK
      MENUITEM "R2_NOTMERGEPEN", CM_R2_NOTMERGEPEN
      MENUITEM "R2_MASKNOTPEN",  CM_R2_MASKNOTPEN
      MENUITEM "R2_NOTCOPYPEN",  CM_R2_NOTCOPYPEN
      MENUITEM "R2_MASKPENNOT",  CM_R2_MASKPENNOT
      MENUITEM "R2_NOT",         CM_R2_NOT
      MENUITEM "R2_XORPEN",      CM_R2_XORPEN
      MENUITEM "R2_NOTMASKPEN",  CM_R2_NOTMASKPEN
      MENUITEM "R2_MASKPEN",     CM_R2_MASKPEN
      MENUITEM "R2_NOTXORPEN",   CM_R2_NOTXORPEN
      MENUITEM "R2_NOP",         CM_R2_NOP
      MENUITEM "R2_MERGENOTPEN", CM_R2_MERGENOTPEN
      MENUITEM "R2_COPYPEN",     CM_R2_COPYPEN
      MENUITEM "R2_MERGEPENNOT", CM_R2_MERGEPENNOT
      MENUITEM "R2_MERGEPEN",    CM_R2_MERGEPEN
      MENUITEM "R2_WHITE",       CM_R2_WHITE
    END

  POPUP "&Help"
    BEGIN
      MENUITEM "&About...",      CM_HELPABOUT
    END
END

